## tellico 4.1.5

=== debian/changelog ===
tellico (4.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly add the libxml2-utils test build dependency, needed for xmllint.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Update the patches:
    - upstream_Adapt-XML-validation-tests-to-libxml2-2.15.patch: drop,
      backported from upstream
    - tests-avoid-Group_Statistics.diff: drop, Group_Statistics.xsl was removed
    - Change-XML-removeInvalidXml-to-check-chars-as-explic.diff: drop, fixed
      upstream
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Remove source lintian overrides due to removed files upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Jan 2026 07:42:30 +0100

=== debian/control ===
Source: tellico
Section: kde
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-python3,
               breeze-icon-theme <!nocheck>,
               cmake (>= 3.16~),
               dbus-daemon <!nocheck>,
               extra-cmake-modules,
               gettext,
               kio6 <!nocheck>,
               libbtparse-dev,
               libcdio-dev,
               libcsv-dev,
               libexempi-dev,
               libkf6archive-dev (>= 5.240.0~),
               libkf6codecs-dev (>= 5.240.0~),
               libkf6colorscheme-dev (>= 5.240.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6filemetadata-dev (>= 5.240.0~),
               libkf6guiaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6itemmodels-dev (>= 5.240.0~),
               libkf6jobwidgets-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6newstuff-dev (>= 5.240.0~),
               libkf6solid-dev (>= 5.240.0~),
               libkf6sonnet-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libkcddb6-dev,
               libksane-dev,
               libpoppler-qt6-dev [!i386],
               libtag-dev,
               libxml2-dev,
               libxml2-utils <!nocheck>,
               libxslt1-dev,
               libyaz-dev,
               pkgconf,
               python3:any,
               qt6-base-dev (>= 6.4.0~),
               qt6-charts-dev (>= 6.4.0~),
               qt6-webengine-dev (>= 6.4.0~),
               tidy <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               yaz <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://tellico-project.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tellico
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/tellico.git

Package: tellico
Architecture: any
Depends: tellico-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
Recommends: kio-extras, tellico-doc,
Description: Collection manager for books, videos, music, etc
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.

Package: tellico-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Recommends: khelpcenter, tellico,
Description: Collection manager for books, videos, music, etc [doc]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the documentation.

Package: tellico-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: tellico,
Breaks: tellico-scripts (<< 4.0-2~),
Replaces: tellico-scripts (<< 4.0-2~),
Description: Collection manager for books, videos, music, etc [data]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 Tellico capabilities include:
 .
   * creation of user-defined custom collections with unlimited fields,
   * automatically formatted names,
   * sorting and filtering by any field or property,
   * ISBN validation,
   * full customization for printing or display through XSLT files,
   * import and export of CSV, RIS, BibTeX and BibTeXML files,
   * import data from Amazon, IMDb, CDDB or any US-MARC compliant z39.50 server.
 .
 Tellico files are stored in XML format, avoiding the need for a database
 server, and allowing other software applications to use the data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
Description: transitional package for tellico-data
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines.
 .
 This is a transitional package for the move of the scripts to tellico-data,
 so it can be safely uninstalled.

## tellico 4.2

=== CMakeLists.txt ===
# FindPoppler requires CMake >= 3.16
cmake_minimum_required(VERSION 3.16)

project(Tellico)
set(TELLICO_VERSION "4.2")
set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")
set(CMAKE_CXX_STANDARD 20)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

if(POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

# https://gitlab.kitware.com/cmake/community/wikis/doc/cmake/Useful-Variables
# automatically add CMAKE_CURRENT_SOURCE_DIR and CMAKE_CURRENT_BINARY_DIR
# to the include directories in every processed CMakeLists.txt
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
                      ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
                      ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(ECMUninstallTarget)
include(FeatureSummary)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
set(CMAKE_C_EXTENSIONS OFF)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

############# Options #################

option(BUILD_DOC           "Whether to build the documentation" TRUE)
option(ENABLE_CDTEXT       "Enable cdtext" TRUE)
option(ENABLE_WEBCAM       "Enable support for webcams" FALSE)
option(BUILD_FETCHER_TESTS "Build tests which verify data sources" FALSE)
option(ENABLE_BTPARSE      "Build with bibtex importing using btparse, whether internal or external" TRUE)

# btparse does not compile with msvc
if(ENABLE_BTPARSE AND MSVC)
    set(ENABLE_BTPARSE FALSE)
endif()

include(CheckSymbolExists)
check_symbol_exists(strlwr "string.h" HAVE_STRLWR)
check_symbol_exists(strupr "string.h" HAVE_STRUPR)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    DBus
    Network
    PrintSupport
    Test
    WebEngineWidgets
    Widgets
    Xml
)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS
    Charts
)

find_package(KF6 REQUIRED COMPONENTS
    Archive
    Codecs
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    GuiAddons
    IconThemes
    ItemModels
    I18n
    JobWidgets
    KIO
    Solid
    Sonnet
    TextWidgets
    WidgetsAddons
    XmlGui
    ColorScheme
)

include(MacroBoolTo01)

find_package(Gettext REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)

if(BUILD_DOC)
    find_package(KF6DocTools REQUIRED)
    set_package_properties(KF6DocTools PROPERTIES
        DESCRIPTION "Tools to generate documentation"
        TYPE REQUIRED)
endif()

find_package(KF6FileMetaData)
set_package_properties(KF6FileMetaData PROPERTIES
    DESCRIPTION "Support for reading file metadata"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

find_package(KF6NewStuff)
set_package_properties(KF6NewStuff PROPERTIES
    DESCRIPTION "Support for fetching new templates and scripts"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

find_package(KSaneWidgets6)
set_package_properties(KSaneWidgets6 PROPERTIES
    DESCRIPTION "Support for adding scanned images to a collection"
    URL "https://www.kde.org"
    TYPE OPTIONAL)

find_package(KCddb6 5.1)
set_package_properties(KCddb6 PROPERTIES
    DESCRIPTION "Support for CDDB searches"
    URL "https://invent.kde.org/multimedia/libkcddb"
    TYPE OPTIONAL)

find_package(Taglib)
if(TAGLIB_FOUND)
    if(TAGLIB_LIBRARIES)
        # Older taglib
        add_definitions(${TAGLIB_CFLAGS})
        include_directories(${TAGLIB_INCLUDES})
    else()
        set(TAGLIB_LIBRARIES Taglib::Taglib)
    endif()
endif()

find_package(Yaz 3.0)
set_package_properties(Yaz PROPERTIES
    DESCRIPTION "Support for searching z39.50 databases"
    URL "https://www.indexdata.com/resources/software/yaz/"
    TYPE OPTIONAL)
if(Yaz_FOUND)
    include_directories(${Yaz_INCLUDE_DIRS})
endif()

# FindPoppler is part of ECM >= 5.19
find_package(Poppler COMPONENTS Qt6)

find_package(Exempi 2.0)
set_package_properties(Exempi PROPERTIES
    DESCRIPTION "Support for reading PDF/XMP metadata"
    URL "https://libopenraw.freedesktop.org/exempi/"
    TYPE OPTIONAL)
if(Exempi_FOUND)
    include_directories(${Exempi_INCLUDE_DIRS})
endif()

if(ENABLE_BTPARSE)
    find_package(Btparse)
    set_package_properties(Btparse PROPERTIES
        DESCRIPTION "External support for parsing and processing BibTeX data files"
        URL "https://metacpan.org/release/Text-BibTeX"
        TYPE OPTIONAL)
    if(Btparse_FOUND)
        include_directories(${Btparse_INCLUDE_DIRS})
        set(TELLICO_BTPARSE_LIBS ${Btparse_LIBRARIES})
    else()
        set(TELLICO_BTPARSE_LIBS btparse-tellico)
    endif()
endif()

find_package(CDIO)
set_package_properties(CDIO PROPERTIES
    DESCRIPTION "Support for reading cdtext from audio CDs"
    URL "https://www.gnu.org/software/libcdio/"
    TYPE OPTIONAL)
if(CDIO_FOUND)
    include_directories(${CDIO_INCLUDE_DIRS})
endif()

find_package(Csv 3.0)
set_package_properties(Csv PROPERTIES
    DESCRIPTION "External support for reading CSV files"
    URL "http://sourceforge.net/projects/libcsv/"
    TYPE OPTIONAL)
if(Csv_FOUND)
    include_directories(${Csv_INCLUDE_DIRS})
    set(TELLICO_CSV_LIBS ${Csv_LIBRARIES})
else()
    set(TELLICO_CSV_LIBS csv-tellico)
endif()

# webcam uses libv4l, which only works on Linux for now
# Linux 2.6.38 removed the videodev.h header
# libv4l 0.8.3 includes a compat header for videodev.h
if(ENABLE_WEBCAM)
    if(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
        message("WARNING: Webcam support is not available on your platform")
        set(ENABLE_WEBCAM FALSE)
    else()
        pkg_check_modules(LIBV4L libv4l1>=0.6)
        set_package_properties(LIBV4L PROPERTIES
            DESCRIPTION "Support for barcode scanning with a webcam"
            URL "https://hansdegoede.livejournal.com/3636.html"
            TYPE OPTIONAL)
        if(LIBV4L_FOUND)
            if(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
                message("WARNING: libv4l 0.8.3 or later is required for Linux kernel 2.6.38 or later")
                set(ENABLE_WEBCAM FALSE)
            else()
                include_directories(${LIBV4L_INCLUDE_DIR})
            endif()
        else()
            set(ENABLE_WEBCAM FALSE)
        endif()
    endif()
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -fno-check-new -Woverloaded-virtual")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated -Wno-deprecated-declarations")
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=declaration-after-statement -Werror=implicit-function-declaration")
endif()

add_definitions(-DQT_STL -DQT_NO_EMIT -DQT_NO_CAST_FROM_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_USE_QSTRINGBUILDER)
remove_definitions(-DQT_NO_STL -DQT_NO_KEYWORDS -DQT_NO_FOREACH)

include_directories(${LIBXML2_INCLUDE_DIR}
                    ${LIBXSLT_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${Tellico_SOURCE_DIR}/src/config
                    ${Tellico_SOURCE_DIR}/src/3rdparty)

set(TELLICO_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/tellico)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(xslt)

if(BUILD_DOC)
    add_subdirectory(doc)
endif()

########## Wrap tests results around the tests done within the source

macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
macro_bool_to_01(Poppler_Qt6_FOUND HAVE_POPPLER)
macro_bool_to_01(Exempi_FOUND HAVE_EXEMPI)
macro_bool_to_01(Yaz_FOUND HAVE_YAZ)
macro_bool_to_01(KSaneWidgets6_FOUND HAVE_KSANE)
macro_bool_to_01(KCddb6_FOUND HAVE_KCDDB)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KABC)
macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KCAL)
macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)
macro_bool_to_01(KF6NewStuff_FOUND ENABLE_KNEWSTUFF3)
macro_bool_to_01(Btparse_FOUND HAVE_LIBBTPARSE)
macro_bool_to_01(CDIO_FOUND HAVE_CDIO)
macro_bool_to_01(Csv_FOUND HAVE_LIBCSV)
macro_bool_to_01(KF6FileMetaData_FOUND HAVE_KFILEMETADATA)
macro_bool_to_01(Qt6Charts_FOUND HAVE_QCHARTS)
macro_bool_to_01(ENABLE_BTPARSE ENABLE_BTPARSE)
macro_bool_to_01(BUILD_FETCHER_TESTS ENABLE_NETWORK_TESTS)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

########### install files ###############

install(PROGRAMS org.kde.tellico.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES tellico.xml DESTINATION  ${KDE_INSTALL_MIMEDIR})
install(FILES org.kde.tellico.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ki18n_install(po)

if(BUILD_DOC)
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)

set(PIC_FILES
    album.png
    alexandria.png
    amc.png
    bibtex.png
    boardgame.png
    boardgamegeek.png
    book.png
    card.png
    checkmark.png
    cite.png
    coin.png
    collectorz.png
    comic.png
    datacrow.png
    deliciouslibrary.png
    discogs.png
    file.png
    game.png
    gcstar.png
    goodreads.png
    griffith.png
    librarything.png
    nocover_album.png
    nocover_bibtex.png
    nocover_boardgame.png
    nocover_book.png
    nocover_comic.png
    nocover_game.png
    nocover_video.png
    onmyshelf.png
    person-open.png
    person.png
    README.icons
    README.quesnay
    referencer.png
    script.png
    script.svg
    sru.png
    stamp.png
    star_off.png
    star_on.png
    stars10.png
    stars1.png
    stars2.png
    stars3.png
    stars4.png
    stars5.png
    stars6.png
    stars7.png
    stars8.png
    stars9.png
    tellico_mime.svg
    tellico.png
    tellico.svg
    tellico.svg
    video.png
    vinoxml.png
    wine.png
)

install(FILES ${PIC_FILES}
    DESTINATION ${TELLICO_DATA_INSTALL_DIR}/pics
)

set(ICON_FILES
    16-apps-tellico.png
    16-mimetypes-application-x-tellico.png
    22-apps-tellico.png
    22-mimetypes-application-x-tellico.png
    32-apps-tellico.png
    32-mimetypes-application-x-tellico.png
    48-apps-tellico.png
    48-mimetypes-application-x-tellico.png
    64-apps-tellico.png
    64-mimetypes-application-x-tellico.png
    128-apps-tellico.png
    128-mimetypes-application-x-tellico.png
)

ecm_install_icons(ICONS ${ICON_FILES}
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== src/collections/CMakeLists.txt ===
########### next target ###############

set(collections_STAT_SRCS
    bibtexcollection.cpp
    boardgamecollection.cpp
    bookcollection.cpp
    cardcollection.cpp
    coincollection.cpp
    collectioninitializer.cpp
    comicbookcollection.cpp
    filecatalog.cpp
    gamecollection.cpp
    musiccollection.cpp
    stampcollection.cpp
    videocollection.cpp
    winecollection.cpp
)

add_library(collections STATIC ${collections_STAT_SRCS})

# bibtexcollection depends on utils/bibtexhandler
target_link_libraries(collections utils Qt6::Core)

=== src/commands/CMakeLists.txt ===
########### next target ###############

set(commands_STAT_SRCS
    addentries.cpp
    modifyentries.cpp
    removeentries.cpp
    addloans.cpp
    modifyloans.cpp
    removeloans.cpp
    fieldcommand.cpp
    filtercommand.cpp
    reorderfields.cpp
    collectioncommand.cpp
    renamecollection.cpp
    updateentries.cpp
)

add_library(commands STATIC ${commands_STAT_SRCS})

target_link_libraries(commands
    Qt6::Core
    Qt6::Widgets
    KF6::I18n
)

=== src/config/CMakeLists.txt ===
########### next target ###############

set(config_STAT_SRCS
    tellico_config_addons.cpp
)

set(config_KCFG_SRCS
    tellico_config.kcfgc
)

kconfig_add_kcfg_files(config_STAT_SRCS ${config_KCFG_SRCS})

add_custom_target(tellico_config DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tellico_config.h)

add_library(config STATIC ${config_STAT_SRCS})

target_link_libraries(config
    Qt6::Core
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KF6::ConfigWidgets
    KF6::ColorScheme
)

########### install files ###############

install(FILES tellico_config.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES tellico.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

install(PROGRAMS tellico-3-4-update.pl DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== src/core/CMakeLists.txt ===
########### next target ###############

set(core_STAT_SRCS
    filehandler.cpp
    logger.cpp
    netaccess.cpp
    tellico_strings.cpp
)

add_library(core STATIC ${core_STAT_SRCS})

target_link_libraries(core
    utils
    Qt6::Core
    Qt6::Xml
    KF6::I18n
    KF6::JobWidgets
    KF6::KIOWidgets
)

=== src/fetch/CMakeLists.txt ===
add_subdirectory(scripts)

########### next target ###############

set(fetch_STAT_SRCS
    abstractbggfetcher.cpp
    adsfetcher.cpp
    amazonfetcher.cpp
    amazonrequest.cpp
    arxivfetcher.cpp
    bedethequefetcher.cpp
    bibliosharefetcher.cpp
    bibsonomyfetcher.cpp
    boardgamegeekfetcher.cpp
    colnectfetcher.cpp
    comicvinefetcher.cpp
    configwidget.cpp
    crossreffetcher.cpp
    dbcfetcher.cpp
    dblpfetcher.cpp
    discogsfetcher.cpp
    doifetcher.cpp
    doubanfetcher.cpp
    dvdfrfetcher.cpp
    entrezfetcher.cpp
    execexternalfetcher.cpp
    fetcher.cpp
    fetcherinfolistitem.cpp
    fetcherinitializer.cpp
    fetcherjob.cpp
    fetchmanager.cpp
    fetchrequest.cpp
    fetchresult.cpp
    filmaffinityfetcher.cpp
    filmasterfetcher.cpp
    gaminghistoryfetcher.cpp
    gcstarpluginfetcher.cpp
    gcstarthread.cpp
    giantbombfetcher.cpp
    googlebookfetcher.cpp
    googlescholarfetcher.cpp
    hathitrustfetcher.cpp
    ibsfetcher.cpp
    igdbfetcher.cpp
    imdbfetcher.cpp
    imdbfetcher_query.cpp
    isbndbfetcher.cpp
    isfdbfetcher.cpp
    itunesfetcher.cpp
    kinofetcher.cpp
    kinopoiskfetcher.cpp
    kinoteatrfetcher.cpp
    messagehandler.cpp
    messagelogger.cpp
    metronfetcher.cpp
    mobygamesfetcher.cpp
    moviemeterfetcher.cpp
    mrlookupfetcher.cpp
    multifetcher.cpp
    musicbrainzfetcher.cpp
    numistafetcher.cpp
    omdbfetcher.cpp
    opdsfetcher.cpp
    openlibraryfetcher.cpp
    rpggeekfetcher.cpp
    springerfetcher.cpp
    srufetcher.cpp
    thegamesdbfetcher.cpp
    themoviedbfetcher.cpp
    thetvdbfetcher.cpp
    tvmazefetcher.cpp
    upcitemdbfetcher.cpp
    vgcollectfetcher.cpp
    videogamegeekfetcher.cpp
    vndbfetcher.cpp
    xmlfetcher.cpp
    z3950connection.cpp
    z3950fetcher.cpp
)

add_library(fetch STATIC ${fetch_STAT_SRCS})

target_link_libraries(fetch
    newstuff
    utils
    ${TELLICO_BTPARSE_LIBS}
    Qt6::Network
    KF6::Archive
    KF6::IconThemes
    KF6::JobWidgets
    KF6::KIOWidgets
    KF6::ConfigWidgets
    KF6::KIOGui
    KF6::GuiAddons
)

if(Yaz_FOUND)
    target_link_libraries(fetch ${Yaz_LIBRARIES})
endif()

########### install files ###############

install(FILES z3950-servers.cfg DESTINATION ${TELLICO_DATA_INSTALL_DIR})

=== src/gui/CMakeLists.txt ===
########### next target ###############

set(gui_STAT_SRCS
    boolfieldwidget.cpp
    checkablecombobox.cpp
    choicefieldwidget.cpp
    collectiontemplatedialog.cpp
    collectiontypecombo.cpp
    combobox.cpp
    countdelegate.cpp
    datefieldwidget.cpp
    datewidget.cpp
    detailedentryitemdelegate.cpp
    dockwidget.cpp
    drophandler.cpp
    imagefieldwidget.cpp
    imagewidget.cpp
    fieldwidget.cpp
    fieldwidgetfactory.cpp
    filterrulewidget.cpp
    filterrulewidgetlister.cpp
    kwidgetlister.cpp
    lineedit.cpp
    linefieldwidget.cpp
    listwidgetitem.cpp
    numberfieldwidget.cpp
    parafieldwidget.cpp
    previewdialog.cpp
    progress.cpp
    ratingdelegate.cpp
    ratingfieldwidget.cpp
    ratingwidget.cpp
    spinbox.cpp
    starrating.cpp
    statusbar.cpp
    stringmapdialog.cpp
    stringmapwidget.cpp
    tablefieldwidget.cpp
    tabwidget.cpp
    treeview.cpp
    urlfieldwidget.cpp
)

set(gui_UI
    collectiontemplatedialog.ui
)
qt_wrap_ui(gui_STAT_SRCS ${gui_UI})

add_library(gui STATIC ${gui_STAT_SRCS})

target_link_libraries(gui
    Qt6::Core
    Qt6::Widgets
    Qt6::Gui
    Qt6::WebEngineWidgets
    KF6::KIOCore
    KF6::KIOFileWidgets
    KF6::SonnetCore
    KF6::SonnetUi
    KF6::XmlGui
    KF6::I18n
    KF6::TextWidgets
    KF6::IconThemes
    KF6::IconWidgets
    KF6::ColorScheme
)

if(KSaneWidgets6_FOUND)
    target_link_libraries(gui KSaneWidgets6)
endif()

=== src/images/CMakeLists.txt ===
set(images_STAT_SRCS
    image.cpp
    imagedirectory.cpp
    imagefactory.cpp
    imageinfo.cpp
    imagejob.cpp
)

add_library(images STATIC ${images_STAT_SRCS})

target_link_libraries(images
    core
    config
    utils
    KF6::KIOCore
    KF6::Archive
    KF6::GuiAddons
    Qt6::Gui
    Qt6::Concurrent
)

add_dependencies(images tellico_config)

=== src/models/CMakeLists.txt ===
########### next target ###############

set(models_STAT_SRCS
    abstractsortmodel.cpp
    borrowermodel.cpp
    entrygroupmodel.cpp
    entryiconmodel.cpp
    entrymodel.cpp
    entryselectionmodel.cpp
    entrysortmodel.cpp
    fieldcomparison.cpp
    filtermodel.cpp
    groupsortmodel.cpp
    modeliterator.cpp
    modelmanager.cpp
    stringcomparison.cpp
)

add_library(tellicomodels STATIC ${models_STAT_SRCS})

target_link_libraries(tellicomodels
    core
    images
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    KF6::ItemModels
)

add_dependencies(tellicomodels tellico_config)

=== src/translators/CMakeLists.txt ===
########### next target ###############

set(translators_STAT_SRCS
    adsimporter.cpp
    alexandriaexporter.cpp
    alexandriaimporter.cpp
    amcimporter.cpp
    audiofileimporter.cpp
    bibtexexporter.cpp
    bibteximporter.cpp
    bibtexmlexporter.cpp
    bibtexmlimporter.cpp
    boardgamegeekimporter.cpp
    ciwimporter.cpp
    collectorzimporter.cpp
    csvexporter.cpp
    csvimporter.cpp
    csvparser.cpp
    datacrowimporter.cpp
    dataimporter.cpp
    deliciousimporter.cpp
    discogsimporter.cpp
    ebookimporter.cpp
    exporter.cpp
    filelistingimporter.cpp
    filereader.cpp
    filereaderbook.cpp
    filereadervideo.cpp
    freedb_util.cpp
    freedbimporter.cpp
    gcstarexporter.cpp
    gcstarimporter.cpp
    goodreadsimporter.cpp
    griffithimporter.cpp
    grs1importer.cpp
    htmlexporter.cpp
    importer.cpp
    librarythingimporter.cpp
    marcimporter.cpp
    onixexporter.cpp
    onmyshelfimporter.cpp
    pdfimporter.cpp
    referencerimporter.cpp
    risimporter.cpp
    tellico_xml.cpp
    tellicoimporter.cpp
    tellicoxmlexporter.cpp
    tellicoxmlreader.cpp
    tellicozipexporter.cpp
    textimporter.cpp
    vinoxmlimporter.cpp
    xmlstatehandler.cpp
    xmphandler.cpp
    xsltexporter.cpp
    xslthandler.cpp
    xsltimporter.cpp
)

add_library(translators STATIC ${translators_STAT_SRCS})
target_link_libraries(translators
    collections
    tellicomodels
    core
    gui
    images
    utils
    ${TELLICO_BTPARSE_LIBS}
    ${TELLICO_CSV_LIBS}
    rtf2html-tellico
)

target_link_libraries(translators
    KF6::Archive
    KF6::JobWidgets
    KF6::Solid
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${LIBXSLT_EXSLT_LIBRARIES}
)

if(KCddb6_FOUND)
    target_link_libraries(translators KCddb6)
endif()

if(Poppler_Qt6_FOUND)
    target_link_libraries(translators Poppler::Qt6)
endif()

if(KF6FileMetaData_FOUND)
    target_link_libraries(translators KF6::FileMetaData)
endif()

if(Exempi_FOUND)
    target_link_libraries(translators ${Exempi_LIBRARIES})
endif()

if(TAGLIB_FOUND)
    target_link_libraries(translators ${TAGLIB_LIBRARIES})
endif()

if(CDIO_FOUND)
    target_link_libraries(translators ${CDIO_LIBRARIES})
endif()

add_dependencies(translators tellico_config)

########### install files ###############

install(FILES bibtex-translation.xml DESTINATION ${TELLICO_DATA_INSTALL_DIR})

=== src/utils/CMakeLists.txt ===
########### next target ###############

set(utils_STAT_SRCS
    bibtexhandler.cpp
    cursorsaver.cpp
    datafileregistry.cpp
    gradient.cpp
    guiproxy.cpp
    iso5426converter.cpp
    iso6937converter.cpp
    isbnvalidator.cpp
    lccnvalidator.cpp
    mergeconflictresolver.cpp
    objvalue.cpp
    stringset.cpp
    string_utils.cpp
    tellico_utils.cpp
    upcvalidator.cpp
    urlfieldlogic.cpp
    xmlhandler.cpp
)

add_library(utils STATIC ${utils_STAT_SRCS})

target_link_libraries(utils
    collections
    Qt6::Core
    Qt6::Widgets
    Qt6::Xml
    KF6::CoreAddons # for KRandom
    KF6::I18n
    KF6::WidgetsAddons
    KF6::Codecs
    KF6::KIOCore
)

=== debian/changelog ===
tellico (4.2-2) unstable; urgency=medium

  * Enable the usage of kio-thumbnail with SVG support (for icons) during the
    tests:
    - add the kio-extras, and qt6-svg-plugins test build dependencies
    - drop the patch skip-failing-filelisting-test.diff, the test passes now
  * Backport upstream commit 260026c1db12cdecf7ec51af9b90292d5b7e157f to skip
    PdfTest::testBookCollectionMetadata when there is no KFileMetaData PDF
    extractor available; patch
    upstream_tests-fix-skip-PdfTest-testBookCollectionMetadata-in.patch
    - drop patch skip-pdf-linux-i386.diff, obsolete now

 -- Pino Toscano <pino@debian.org>  Sun, 22 Feb 2026 07:44:56 +0100

tellico (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 6.5
    - bump KF packages to 6.0.0
    - bump yaz packages to 3.0
    - add libkf6filemetadata-bin for tests (needed for the PDF file metadata)
  * Update the patches:
    - skip-failing-filelisting-test.diff: refresh
  * Recommend libkf6filemetadata-bin for the additional plugins for file
    metadata.
  * Backport upstream commit 1d596655e8294a4e5bb74c384dafb537141935a0 to make
    exported HTML files validating ones; patch
    upstream_Use-HTML-4.01-Transitional-instead-of-Strict.patch.
  * "Fix" PdfTest::testBookCollectionMetadata() on Linux/i386, as poppler-qt6
    is not available on that architecture; patch skip-pdf-linux-i386.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 17 Feb 2026 10:15:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,35 +8,37 @@
                breeze-icon-theme <!nocheck>,
                cmake (>= 3.16~),
                dbus-daemon <!nocheck>,
-               extra-cmake-modules,
+               extra-cmake-modules (>= 6.0.0~),
                gettext,
                kio6 <!nocheck>,
+               kio-extras <!nocheck>,
                libbtparse-dev,
                libcdio-dev,
                libcsv-dev,
                libexempi-dev,
-               libkf6archive-dev (>= 5.240.0~),
-               libkf6codecs-dev (>= 5.240.0~),
-               libkf6colorscheme-dev (>= 5.240.0~),
-               libkf6completion-dev (>= 5.240.0~),
-               libkf6config-dev (>= 5.240.0~),
-               libkf6configwidgets-dev (>= 5.240.0~),
-               libkf6coreaddons-dev (>= 5.240.0~),
-               libkf6crash-dev (>= 5.240.0~),
-               libkf6doctools-dev (>= 5.240.0~),
-               libkf6filemetadata-dev (>= 5.240.0~),
-               libkf6guiaddons-dev (>= 5.240.0~),
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6iconthemes-dev (>= 5.240.0~),
-               libkf6itemmodels-dev (>= 5.240.0~),
-               libkf6jobwidgets-dev (>= 5.240.0~),
-               libkf6kio-dev (>= 5.240.0~),
-               libkf6newstuff-dev (>= 5.240.0~),
-               libkf6solid-dev (>= 5.240.0~),
-               libkf6sonnet-dev (>= 5.240.0~),
-               libkf6textwidgets-dev (>= 5.240.0~),
-               libkf6widgetsaddons-dev (>= 5.240.0~),
-               libkf6xmlgui-dev (>= 5.240.0~),
+               libkf6archive-dev (>= 6.0.0~),
+               libkf6codecs-dev (>= 6.0.0~),
+               libkf6colorscheme-dev (>= 6.0.0~),
+               libkf6completion-dev (>= 6.0.0~),
+               libkf6config-dev (>= 6.0.0~),
+               libkf6configwidgets-dev (>= 6.0.0~),
+               libkf6coreaddons-dev (>= 6.0.0~),
+               libkf6crash-dev (>= 6.0.0~),
+               libkf6doctools-dev (>= 6.0.0~),
+               libkf6filemetadata-bin <!nocheck>,
+               libkf6filemetadata-dev (>= 6.0.0~),
+               libkf6guiaddons-dev (>= 6.0.0~),
+               libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev (>= 6.0.0~),
+               libkf6itemmodels-dev (>= 6.0.0~),
+               libkf6jobwidgets-dev (>= 6.0.0~),
+               libkf6kio-dev (>= 6.0.0~),
+               libkf6newstuff-dev (>= 6.0.0~),
+               libkf6solid-dev (>= 6.0.0~),
+               libkf6sonnet-dev (>= 6.0.0~),
+               libkf6textwidgets-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.0.0~),
+               libkf6xmlgui-dev (>= 6.0.0~),
                libkcddb6-dev,
                libksane-dev,
                libpoppler-qt6-dev [!i386],
@@ -44,16 +46,17 @@
                libxml2-dev,
                libxml2-utils <!nocheck>,
                libxslt1-dev,
-               libyaz-dev,
+               libyaz-dev (>= 3.0~),
                pkgconf,
                python3:any,
-               qt6-base-dev (>= 6.4.0~),
-               qt6-charts-dev (>= 6.4.0~),
-               qt6-webengine-dev (>= 6.4.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-charts-dev (>= 6.5.0~),
+               qt6-svg-plugins <!nocheck>,
+               qt6-webengine-dev (>= 6.5.0~),
                tidy <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-               yaz <!nocheck>,
+               yaz (>= 3.0~) <!nocheck>,
 Standards-Version: 4.7.3
 Homepage: https://tellico-project.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tellico
@@ -62,7 +65,7 @@
 Package: tellico
 Architecture: any
 Depends: tellico-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: kio-extras, tellico-doc,
+Recommends: libkf6filemetadata-bin, kio-extras, tellico-doc,
 Description: Collection manager for books, videos, music, etc
  Tellico is a collection manager for KDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
